SM(8)

NAME
sm - command line interface to the storage manager

SYNOPSIS
sm [ -q ] [ -R ] [ -r ] [ -d ] [ -o ] token [ token ] ...

DESCRIPTION
The sm program provides a command line interface to the storage manager. If no options are specified, sm shows the whole article associated with the token. The token is a token of the article which is stored by storage api, and it is stored as the third field of history line.

OPTIONS

-q  If the ``-q'' flag is used, all error messages except usage are suppressed.

-R  If the ``-R'' flag is used, then the program shows the raw article spooled into storage method associated with the token.

-d -r
    If the ``-d'' or ``-r'' flag is used, then the program removes the article associated with the token.

-o  If the ``-o'' flag is used, then the program shows the overview data associated with the token.

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews.

SEE ALSO
history(5), overview.ctl(8), storage.conf(5).